SysLogMono.hpp File Reference

Syslog Mono Log: Singleton logger using syslog() for mono threaded applications. More...

`#include <string>`
`#include <iostream>`
`#include <syslog.h>`
Include dependency graph for SysLogMono.hpp:
This graph shows which files directly or indirectly include this file:

## Data Structures

class | UI::Util::SysLogMono
| C++ Abstraction of syslog(3) for mono threaded applications. More...
class | UI::Util::SysLogMonoSingleton
| Singleton class holding one SysLogMono object. More...

## Namespaces

namespace | UI
| Namespace for any Schlund+Partner C++ code.
namespace | UI::Util
| Namespace for ui-utilcpp.

## Detailed Description

Syslog Mono Log: Singleton logger using syslog() for mono threaded applications.

Author
  Schlund + Partner AG

See also
  SMLogMono.hpp

Synopsis:

#include <ui-utilcpp/SMLogMono.hpp>
SMLogMono.hpp
Syslog Macro Log: Simple logging based on compiler macros and syslog(3) for mono-threaded aplications...